ports/57810: [update] dict to 1.9.7

Cheng-Lung Sung clsung at dragon2.net
Thu Oct 9 16:30:14 UTC 2003


>Number:         57810
>Category:       ports
>Synopsis:       [update] dict to 1.9.7
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          update
>Submitter-Id:   current-users
>Arrival-Date:   Thu Oct 09 09:30:03 PDT 2003
>Closed-Date:
>Last-Modified:
>Originator:     Cheng-Lung Sung
>Release:        FreeBSD 4.8-RELEASE-p13 i386
>Organization:
FreeBSD @ Taiwan
>Environment:
System: FreeBSD sungsung.csie.nctu.edu.tw 4.8-RELEASE-p13 FreeBSD 4.8-RELEASE-p13 #3: Wed Oct 8 07:32:16 CST 2003 root at sungsung.csie.nctu.edu.tw:/usr/obj/usr/src/sys/SUNGSUNG i386

>Description:
	o upgrade dict from 1.8.0 to 1.9.7
>How-To-Repeat:
>Fix:

diff -ruN /usr/ports/textproc/dict/Makefile ./dict/Makefile
--- /usr/ports/textproc/dict/Makefile	Tue Sep  9 21:01:24 2003
+++ ./dict/Makefile	Fri Oct 10 00:08:47 2003
@@ -7,8 +7,8 @@
 #
 
 PORTNAME=	dict
-PORTVERSION=	1.8.0
-PORTREVISION=	1
+PORTVERSION=	1.9.7
+PORTREVISION=	0
 CATEGORIES=	textproc
 MASTER_SITES=	ftp://ftp.dict.org/pub/dict/
 DISTNAME=	${PORTNAME}d-${PORTVERSION}
diff -ruN /usr/ports/textproc/dict/distinfo ./dict/distinfo
--- /usr/ports/textproc/dict/distinfo	Sat Nov 23 18:12:01 2002
+++ ./dict/distinfo	Fri Oct 10 00:08:34 2003
@@ -1 +1 @@
-MD5 (dictd-1.8.0.tar.gz) = ce54a5ea05429954e2f743ee0fa661b5
+MD5 (dictd-1.9.7.tar.gz) = baa8f18dd0373e7053658be99d40d5db
diff -ruN /usr/ports/textproc/dict/files/patch-Makefile_in ./dict/files/patch-Makefile_in
--- /usr/ports/textproc/dict/files/patch-Makefile_in	Thu Jan  1 08:00:00 1970
+++ ./dict/files/patch-Makefile_in	Fri Oct 10 00:09:50 2003
@@ -0,0 +1,42 @@
+--- Makefile.in.orig	Tue Mar  4 03:14:35 2003
++++ Makefile.in	Thu Oct  9 22:07:56 2003
+@@ -33,7 +33,7 @@
+ srcdir=		@srcdir@
+ VPATH=		@srcdir@
+ prefix=		@prefix@
+-subdirs=        @allsubdirs@ regex # doc -- use rfc2229 instead
++subdirs=        @allsubdirs@ # regex # doc -- use rfc2229 instead
+ exec_prefix=	@exec_prefix@
+ man1_prefix=	@mandir@/man1
+ man8_prefix=	@mandir@/man8
+@@ -70,9 +70,9 @@
+ 
+ SCFLAGS=        @SCFLAGS@
+ LDFLAGS=        @LDFLAGS@
+-XTRACFLAGS=     @WCFLAGS@ @XTRACFLAGS@ @DEFS@ @CPPFLAGS@ -I. -Iregex
++XTRACFLAGS=     @WCFLAGS@ @XTRACFLAGS@ @DEFS@ @CPPFLAGS@ -I. # -Iregex
+ XTRALDFLAGS=    @WLDFLAGS@ @XTRALDFLAGS@
+-LDLIBS=		    @LIBOBJS@ @LIBS@ -Lregex -lregex
++LDLIBS=		    @LIBOBJS@ @LIBS@ -lgnuregex
+ 
+ EXES=	 	dict dictd dictzip dictfmt
+ 
+@@ -114,17 +114,7 @@
+ all $(EXES)::
+ 	@for subdir in `echo $(subdirs)`; do \
+ 		echo making in $$subdir; \
+-	 	if [ "$$subdir" = "zlib" ]; then \
+-			(cd $$subdir \
+-			&& $(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" libz.a) \
+-			|| exit 1; \
+-		elif [ "$$subdir" = "regex" ]; then \
+-			(cd $$subdir \
+-			&& $(MAKE) CC="$(CC) $(CFLAGS)" lib) \
+-			|| exit 1; \
+-		else \
+-			(cd $$subdir && $(MAKE)) || exit 1; \
+-		fi; \
++		(cd $$subdir && $(MAKE)) || exit 1; \
+ 	done
+ 
+ all:: $(EXES) $(LIBRARIES) plugins
diff -ruN /usr/ports/textproc/dict/files/patch-ab ./dict/files/patch-ab
--- /usr/ports/textproc/dict/files/patch-ab	Tue Aug 21 09:07:07 2001
+++ ./dict/files/patch-ab	Thu Jan  1 08:00:00 1970
@@ -1,23 +0,0 @@
---- Makefile.in.orig	Fri Jan 12 01:24:29 2001
-+++ Makefile.in	Mon Aug 20 17:22:10 2001
-@@ -33,7 +33,7 @@
- srcdir=		@srcdir@
- VPATH=		@srcdir@
- prefix=		@prefix@
--subdirs=        @allsubdirs@ regex # doc -- use rfc2229 instead
-+subdirs=        @allsubdirs@ # regex # doc -- use rfc2229 instead
- exec_prefix=	@exec_prefix@
- man1_prefix=	@mandir@/man1
- man8_prefix=	@mandir@/man8
-@@ -57,9 +57,9 @@
- 		-DDICT_CONFIG_PATH=\"$(conf)\"
- SCFLAGS=        @SCFLAGS@
- LDFLAGS=        @LDFLAGS@
--XTRACFLAGS=     @WCFLAGS@ @XTRACFLAGS@ @DEFS@ @CPPFLAGS@ -I. -Iregex
-+XTRACFLAGS=     @WCFLAGS@ @XTRACFLAGS@ @DEFS@ @CPPFLAGS@ -I. # -Iregex
- XTRALDFLAGS=    @WLDFLAGS@ @XTRALDFLAGS@
--LDLIBS=		@LIBS@ -Lregex -lregex
-+LDLIBS=		@LIBS@ -lgnuregex
- 
- EXES=	 	dict dictd dictzip
- 
diff -ruN /usr/ports/textproc/dict/files/patch-configure ./dict/files/patch-configure
--- /usr/ports/textproc/dict/files/patch-configure	Thu Jan  1 08:00:00 1970
+++ ./dict/files/patch-configure	Fri Oct 10 00:11:01 2003
@@ -0,0 +1,78 @@
+--- configure.orig	Mon Mar 10 01:22:34 2003
++++ configure	Thu Oct  9 23:44:49 2003
+@@ -3400,66 +3400,6 @@
+ 
+ fi
+ 
+-if test "x${USE_PLUGIN}" = "x1"; then
+-
+-for ac_header in ltdl.h
+-do
+-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+-echo "$as_me:3408: checking for $ac_header" >&5
+-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+-  echo $ECHO_N "(cached) $ECHO_C" >&6
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-#line 3414 "configure"
+-#include "confdefs.h"
+-#include <$ac_header>
+-_ACEOF
+-if { (eval echo "$as_me:3418: \"$ac_cpp conftest.$ac_ext\"") >&5
+-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+-  ac_status=$?
+-  egrep -v '^ *\+' conftest.er1 >conftest.err
+-  rm -f conftest.er1
+-  cat conftest.err >&5
+-  echo "$as_me:3424: \$? = $ac_status" >&5
+-  (exit $ac_status); } >/dev/null; then
+-  if test -s conftest.err; then
+-    ac_cpp_err=$ac_c_preproc_warn_flag
+-  else
+-    ac_cpp_err=
+-  fi
+-else
+-  ac_cpp_err=yes
+-fi
+-if test -z "$ac_cpp_err"; then
+-  eval "$as_ac_Header=yes"
+-else
+-  echo "$as_me: failed program was:" >&5
+-  cat conftest.$ac_ext >&5
+-  eval "$as_ac_Header=no"
+-fi
+-rm -f conftest.err conftest.$ac_ext
+-fi
+-echo "$as_me:3443: result: `eval echo '${'$as_ac_Header'}'`" >&5
+-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+-if test `eval echo '${'$as_ac_Header'}'` = yes; then
+-  cat >>confdefs.h <<EOF
+-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+-EOF
+-
+-cat >>confdefs.h <<\EOF
+-#define HAVE_LTDL_H 1
+-EOF
+-
+-else
+-  { { echo "$as_me:3455: error: Install ltdl library and appropriate header files" >&5
+-echo "$as_me: error: Install ltdl library and appropriate header files" >&2;}
+-   { (exit 1); exit 1; }; }
+-fi
+-done
+-
+-fi
+-
+ for ac_header in unistd.h strings.h limits.h
+ do
+ as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+@@ -5023,7 +4963,7 @@
+ EOF
+ 
+ if test $ac_cv_func_lstat_dereferences_slashed_symlink = no; then
+-  LIBOBJS="$LIBOBJS lstat.$ac_objext"
++  LIBOBJS="$LIBOBJS -lc"
+ fi
+ 
+ echo "$as_me:5029: checking whether stat accepts an empty string" >&5
diff -ruN /usr/ports/textproc/dict/files/patch-libmaa::configure ./dict/files/patch-libmaa::configure
--- /usr/ports/textproc/dict/files/patch-libmaa::configure	Sun Jan 12 11:05:45 2003
+++ ./dict/files/patch-libmaa::configure	Fri Oct 10 00:10:28 2003
@@ -1,13 +1,13 @@
---- libmaa/configure~	Mon Jan 29 01:00:16 2001
-+++ libmaa/configure	Mon Jan 29 01:00:29 2001
-@@ -875,11 +875,8 @@
+--- libmaa/configure.orig	Mon Mar 10 01:22:39 2003
++++ libmaa/configure	Thu Oct  9 22:16:29 2003
+@@ -1859,10 +1859,7 @@
  # Check whether --with-cflags or --without-cflags was given.
  if test "${with_cflags+set}" = set; then
    withval="$with_cflags"
--  
+-
 -if test "x${withval}" = xyes; then
      CFLAGS="$withval"
 -fi
--
-+  
- fi
+ 
+ fi;
+ 

>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the freebsd-ports-bugs mailing list